Skip to content

Add a new Transaction

Adds a new transaction into an existing account.

View as Markdown

POST /v1/transactions

Needs an API key with the write scope.

Parameters

  • accountId string Required

    32-character unique ID of the account that the transaction belongs.

  • description string Required

    Description of the transaction

More parameters

  • transactionTimestamp integer

    Epoch timestamp for the transaction date and time. If both of the fields are provided, transactionTimestamp will be used.

  • transactionDate string

    Datetime with timezone for the transaction date and time.

  • transactionType string

    Type of the transaction. If it is an incoming money, use Money In; if it is an outgoing money, use Money Out

  • mathcingEntityId string

    32-character unique ID of the customer or supplier of the transaction's sender or receiver.

  • mathcingEntityCode string

    User-generated custom customer or supplier code of the transaction's sender or receiver.

  • amount number

    Amount of the transaction. It should be a positive decimal number. eg. 1059.34

Returns

The created transaction.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).